Columns

Columns or similar data elements from an integration.

Deprecated

List Columns

get
/api/v1/table/columns

Warning: This endpoint is deprecated. Please use the List Resources endpoint instead with filter={"operator":"exact","field":"type","value":"column"}.

This endpoint allows you to retrieve a list of all columns in the workspace. Optional filters for integration_id, title, and parent_id (the table or parent column) are available.

Authorizations
Query parameters
integration_idstringOptional

Optional. Filter columns by integration identifier.

Example: 6c69de0f-b269-4380-bcf5-0686de276b9e
parent_idstringOptional

Optional. Filter columns by parent identifier. This could be the ID of the table or of the parent column in the case of nested columns.

Example: c444bc26-433e-4cd2-b3ee-f5a1fbb2caf8
titlestringOptional

Optional. Filter columns by title of the column.

Example: Sample Column
table_titlestringOptional

Optional. Filter columns by title of the table that the columns belong to. If several integrations have the same naming of tables, it is recommended to combine this with the integration_id.

Example: Sample Table
Responses
chevron-right
200

List of columns.

application/json
countintegerOptional

The total count of items returned.

Example: 315
total_pagesintegerOptional

The total number of pages.

Example: 7
get
/api/v1/table/columns

Create Column

post
/api/v1/table/columns

This endpoint allows you to create a new column. Columns must have tables as a parent or another column for nested records. Columns must be associated with an integration.

Authorizations
Body
titlestringOptional

The title of the resource.

Example: Sample Title
integrationstringOptional

The integration ID associated with the resource, if one exists.

Example: ca529385-fbc9-4934-afae-e372affe795b
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
entity_typestringOptional

The type of the resource.

Example: glossary
definitionstringOptional

Mark down documentation to be added to the resource.

Example: \n# Castae illa\n\n## Finemque aequore\n\nLorem markdownum motus
parentstringOptional

The ID of the parent resource. Please keep the resource heirarchy in mind when setting the parent.

Example: df2c0597-13d9-4159-bb6d-00b3f54235dc
piibooleanOptional

Indicates whether the resource contains personally identifiable information (PII). Values can be -

  • True
  • False

Example: false
verifiedbooleanOptional

Indicates whether the resource has been set as verified. Values can be -

  • True
  • False

Example: true
publishedbooleanOptional

Indicates if the resource is visible to viewers or not. Values can be -

  • True
  • False

Example: true
teamsstring[]Optional

A list of team IDs that the resource belongs to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260","cca810f1-11c1-4117-bc23-20ae8020897f"]
ownersstring[]Optional

A list of owner user IDs for the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
owners_groupsstring[]Optional

A list of owner group IDs for the resource.

Example: ["f3bdd4f8-d6ea-4f9b-8384-e179fa8eb3da"]
collectionsstring[]Optional

A list of collection IDs the resource belongs to.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
tagsstring[]Optional

A list of tag IDs associated with the resources.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49","429693a2-a5e7-4525-b413-ece5e96bc5b3"]
subscribersstring[]Optional

A list of user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.

Example: ["c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
native_typestringOptional

The native data type of the column in the source.

Example: Record
data_typestringOptional

The type of the column.

is_pkstringOptional

Indicates whether the column is a primary key.

Example: false
table_databasestringOptional

The name of the database where the column's table belongs.

Example: Sample Database
table_schemastringOptional

The name of the schema where the column's table belongs.

Example: Sample Schema
table_titlestringOptional

The title of the table to which the column belongs.

Example: Sample Table
Responses
post
/api/v1/table/columns
Deprecated

Get Column

get
/api/v1/table/columns/{column_id}

Warning: This endpoint is deprecated. Please use the List Resources endpoint instead with filter={"operator":"exact","field":"id","value":"your-column-id"}.

Authorizations
Path parameters
column_idstringRequired

ID of the column to retrieve

Example: 8b2e01e0-603b-4559-8eac-4e16ecc61fc7
Responses
chevron-right
200

Column retrieved successfully.

application/json
idstringOptional

The unique identifier of the resource.

Example: d935a76c-2125-4c30-9389-ef42fa7e23bb
created_atstring · date-timeOptional

The timestamp when the resource was created in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245493Z
updated_atstring · date-timeOptional

The timestamp when the resource was last updated in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245507Z
entity_typestringOptional

The type of resource in Secoda.

Example: table
native_typestringOptional

The native type of the resource as it is referred to in the integration.

Example: Dataset
bookmarked_bystring[]Optional

List of member IDs that have bookmarked the resource.

Example: ["d935a76c-2125-4c30-9389-ef42fa7e23bb","33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
iconstringOptional

The icon associated with the resource.

Example: icon-url.png
titlestringOptional

The title of the resource.

Example: Sample Table
title_fullstringOptional

The full title of the resource, including its ancestry.

Example: Sample Database.Sample Schema.Sample Table
title_casedstringOptional

The title in a cased format.

Example: sampleTable
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
definitionstring · markdownOptional

The documentation of the resource, written in Mark Down format.

definition_versionintegerOptional

The version of the resource's documentation.

Example: 1
multiplayersstring[]Optional

List of members who have opened or worked with the resource recently.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
multiplayer_last_modified_bystringOptional

The last member who modified this resource.

Example: 429693a2-a5e7-4525-b413-ece5e96bc5b3
multiplayer_last_modifiedstring · date-timeOptional

The timestamp when the multiplayer was last modified in UTC format.

Example: 2023-08-16T23:12:53.245507Z
ownersstring[]Optional

List of owner IDs for the resource.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
owners_groupsstring[]Optional

List of owner group IDs for the resource.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
collectionsstring[]Optional

List of IDs representing the collection(s) that the resource has been added to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260"]
tagsstring[]Optional

List of tag IDs added to the resource.

Example: ["f7466f09-33bf-4ac2-9ff2-165fb4b8bdc2","a17f4ed0-0e5a-45a9-92c0-6c93c0b8242c"]
workspace_idstringOptional

The ID of the workspace.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
total_usageintegerOptional

The total usage count for the resource.

Example: 483
publishedbooleanOptional

Indicates if the resource is published and can be seen by Viewers.

Example: false
archivedbooleanOptional

Indicates if the resource is deleted.

Example: false
piibooleanOptional

Indicates if the resource contains Personally Identifiable Information (PII). Values can be -

  • True
  • False

Example: true
verifiedbooleanOptional

Indicates if the resource is verified. Values can be -

  • True
  • False

Example: false
urlstringOptional

The URL associated with the resource.

Example: https://example.com/sample-table
parentstringOptional

The parent resource's ID.

Example: df2c0597-13d9-4159-bb6d-00b3f54235dc
children_countintegerOptional

The count of children entities of the resource.

Example: 2
integrationstringOptional

The integration ID associated with the resource.

Example: ca529385-fbc9-4934-afae-e372affe795b
external_updated_atstring · date-timeOptional

The timestamp of the last update for the resource in the source.

Example: 2023-08-16T23:12:53.245507Z
internal_usageintegerOptional

The internal usage count for the resource.

Example: 3
internal_usersstring[]Optional

List of internal user IDs for the resource.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49"]
external_usersstring[]Optional

List of external user IDs for the resource extracted from the integration.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0"]
external_usageintegerOptional

The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource.

Example: 38
databuilder_idstringOptional

The databuilder ID associated with the resource. This is a generated field.

Example: b818280a-ae1a-43bf-90d3-dbccf812b025.x68605bd2
search_metadataobjectOptional

Metadata related to indexing the resource for optimizing search.

Example: {"cluster":"glue","database":"awsdatacatalog","schema":"secoda-glue","type":"table"}
sourcesstring[]Optional

List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT.

Example: ["8a3af948-026c-45d6-983d-3873f6156f86"]
subscribersstring[]Optional

List of User IDs who subscribe to the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
teamsstring[]Optional

List of team IDs associated with the resource.

Example: ["8680f886-97d2-4f4e-92c8-c80b46a3017d"]
stalebooleanOptional

Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction.

Example: false
data_typestringOptional

Indicates the data type of the column.

Example: integer
sort_orderintegerOptional

Indicates the order the column should be in amongst the other columns

Example: 3
is_pkbooleanOptional

Whether the column is a primary key.

Example: true
hiddenbooleanOptional

This is a deprecated field.

table_clusterstringOptional

This is a deprecated field.

table_databasestringOptional

Indicates the name of the database that the column belongs to.

Example: aws-datacatalog
table_schemastringOptional

Indicates the name of the schema that the column belongs to.

Example: secoda-glue
table_titlestringOptional

Indicates the name of the table that the column belongs to.

Example: customers
get
/api/v1/table/columns/{column_id}

Delete Column

delete
/api/v1/table/columns/{column_id}

This endpoint allows you to delete a specific column by its identifier.

Authorizations
Path parameters
column_idstringRequired

Identifier of the column to delete.

Example: 8b2e01e0-603b-4559-8eac-4e16ecc61fc7
Responses
delete
/api/v1/table/columns/{column_id}

No content

Edit Column

patch
/api/v1/table/columns/{column_id}

This endpoint allows you to edit the metadata of a specific column by its identifier.

Authorizations
Path parameters
column_idstringRequired

Identifier of the column to retrieve.

Example: 8b2e01e0-603b-4559-8eac-4e16ecc61fc7
Body
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
definitionstringOptional

Mark down documentation to be added to the resource.

Example: \n# Castae illa\n\n## Finemque aequore\n\nLorem markdownum motus
piibooleanOptional

Indicates whether the resource contains personally identifiable information (PII). Values can be -

  • True
  • False

Example: false
verifiedbooleanOptional

Indicates whether the table has been set as verified. Values can be -

  • True
  • False

Example: true
publishedbooleanOptional

Indicates if the resource is visible to viewers or not. Values can be -

  • True
  • False

Example: true
teamsstring[]Optional

A list of team IDs that the resource belongs to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260","cca810f1-11c1-4117-bc23-20ae8020897f"]
ownersstring[]Optional

A list of owner user IDs for the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
collectionsstring[]Optional

A list of collection IDs the resource belongs to.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
tagsstring[]Optional

A list of tag IDs associated with the resources.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49","429693a2-a5e7-4525-b413-ece5e96bc5b3"]
subscribersstring[]Optional

A list of the added user IDs that have been subscribed to the resource. Anyone subscribed will be notified of any changes.

Example: ["c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
Responses
chevron-right
200

Column retrieved successfully.

application/json
idstringOptional

The unique identifier of the resource.

Example: d935a76c-2125-4c30-9389-ef42fa7e23bb
created_atstring · date-timeOptional

The timestamp when the resource was created in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245493Z
updated_atstring · date-timeOptional

The timestamp when the resource was last updated in Secoda in UTC format.

Example: 2023-08-16T23:12:53.245507Z
entity_typestringOptional

The type of resource in Secoda.

Example: table
native_typestringOptional

The native type of the resource as it is referred to in the integration.

Example: Dataset
bookmarked_bystring[]Optional

List of member IDs that have bookmarked the resource.

Example: ["d935a76c-2125-4c30-9389-ef42fa7e23bb","33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
iconstringOptional

The icon associated with the resource.

Example: icon-url.png
titlestringOptional

The title of the resource.

Example: Sample Table
title_fullstringOptional

The full title of the resource, including its ancestry.

Example: Sample Database.Sample Schema.Sample Table
title_casedstringOptional

The title in a cased format.

Example: sampleTable
descriptionstringOptional

A description of the resource.

Example: This is a description for a sample table.
definitionstring · markdownOptional

The documentation of the resource, written in Mark Down format.

definition_versionintegerOptional

The version of the resource's documentation.

Example: 1
multiplayersstring[]Optional

List of members who have opened or worked with the resource recently.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
multiplayer_last_modified_bystringOptional

The last member who modified this resource.

Example: 429693a2-a5e7-4525-b413-ece5e96bc5b3
multiplayer_last_modifiedstring · date-timeOptional

The timestamp when the multiplayer was last modified in UTC format.

Example: 2023-08-16T23:12:53.245507Z
ownersstring[]Optional

List of owner IDs for the resource.

Example: ["429693a2-a5e7-4525-b413-ece5e96bc5b3","f71585fa-251c-4102-8d81-c97c57c8d435"]
owners_groupsstring[]Optional

List of owner group IDs for the resource.

Example: ["3b2c7185-fb5d-4d94-89d4-3dae08e093a9"]
collectionsstring[]Optional

List of IDs representing the collection(s) that the resource has been added to.

Example: ["e8ac09ed-e51e-4e61-8eaf-59942c98c260"]
tagsstring[]Optional

List of tag IDs added to the resource.

Example: ["f7466f09-33bf-4ac2-9ff2-165fb4b8bdc2","a17f4ed0-0e5a-45a9-92c0-6c93c0b8242c"]
workspace_idstringOptional

The ID of the workspace.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
total_usageintegerOptional

The total usage count for the resource.

Example: 483
publishedbooleanOptional

Indicates if the resource is published and can be seen by Viewers.

Example: false
archivedbooleanOptional

Indicates if the resource is deleted.

Example: false
piibooleanOptional

Indicates if the resource contains Personally Identifiable Information (PII). Values can be -

  • True
  • False

Example: true
verifiedbooleanOptional

Indicates if the resource is verified. Values can be -

  • True
  • False

Example: false
urlstringOptional

The URL associated with the resource.

Example: https://example.com/sample-table
parentstringOptional

The parent resource's ID.

Example: df2c0597-13d9-4159-bb6d-00b3f54235dc
children_countintegerOptional

The count of children entities of the resource.

Example: 2
integrationstringOptional

The integration ID associated with the resource.

Example: ca529385-fbc9-4934-afae-e372affe795b
external_updated_atstring · date-timeOptional

The timestamp of the last update for the resource in the source.

Example: 2023-08-16T23:12:53.245507Z
internal_usageintegerOptional

The internal usage count for the resource.

Example: 3
internal_usersstring[]Optional

List of internal user IDs for the resource.

Example: ["04654d61-4f64-4f08-b697-3915b5137c49"]
external_usersstring[]Optional

List of external user IDs for the resource extracted from the integration.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0"]
external_usageintegerOptional

The external usage count for the resource extracted from the source source. This is what is used to calculate Popularity of a resource.

Example: 38
databuilder_idstringOptional

The databuilder ID associated with the resource. This is a generated field.

Example: b818280a-ae1a-43bf-90d3-dbccf812b025.x68605bd2
search_metadataobjectOptional

Metadata related to indexing the resource for optimizing search.

Example: {"cluster":"glue","database":"awsdatacatalog","schema":"secoda-glue","type":"table"}
sourcesstring[]Optional

List of other integrations associated with the resource. For example, if a description is pulled in from DBT for a Snowflake table, this field will reference DBT.

Example: ["8a3af948-026c-45d6-983d-3873f6156f86"]
subscribersstring[]Optional

List of User IDs who subscribe to the resource.

Example: ["33733f42-8ff7-460b-9e20-50a2133d3bb0","c90dedee-40ee-47ec-9c27-96dc3b2ec363"]
teamsstring[]Optional

List of team IDs associated with the resource.

Example: ["8680f886-97d2-4f4e-92c8-c80b46a3017d"]
stalebooleanOptional

Indicates if the resource is stale. This means this resource no longer exists in the source, as of the last extraction.

Example: false
data_typestringOptional

Indicates the data type of the column.

Example: integer
sort_orderintegerOptional

Indicates the order the column should be in amongst the other columns

Example: 3
is_pkbooleanOptional

Whether the column is a primary key.

Example: true
hiddenbooleanOptional

This is a deprecated field.

table_clusterstringOptional

This is a deprecated field.

table_databasestringOptional

Indicates the name of the database that the column belongs to.

Example: aws-datacatalog
table_schemastringOptional

Indicates the name of the schema that the column belongs to.

Example: secoda-glue
table_titlestringOptional

Indicates the name of the table that the column belongs to.

Example: customers
patch
/api/v1/table/columns/{column_id}

Last updated

Was this helpful?